# Class pyglet.graphics.vertexbuffer.AbstractBufferRegion

Known Subclasses:
  IndirectArrayRegion, VertexArrayRegion, VertexBufferObjectRegion

A mapped region of a buffer.

Buffer regions are obtained using AbstractMappable.get_region.

## Methods

| invalidate(self) Mark this region as changed.

## Instance Variables

ctypes array | array Array of data, of the type and count requested by `get_region`.

## Method Details

### invalidate

invalidate(self)

Mark this region as changed.

The buffer may not be updated with the latest contents of the array until this method is called. (However, it may not be updated until the next time the buffer is used, for efficiency).